<?php

namespace Factory;

use Zeedhi\DevOps\Model\Devops\Entities\ServerMnemonic;
use Zeedhi\DevOps\Model\Devops\Entities\Mnemonic as MnemonicEntity;
use Zeedhi\DevOps\Model\Servermanager\Entities\Server as ServerEntity;

class Mnemonic {
    public function saveMnemonic(MnemonicEntity $mnemonic = null, $mnemonicString, $label = null, $mnemonicGroup = null) {
        if(empty($mnemonic)) {
            $mnemonic = new MnemonicEntity();
        }
        $mnemonic->setMnemonic($mnemonicString);
        $mnemonic->setLabel($label);
        $mnemonic->setMnemonicGroupingId($mnemonicGroup);
        return $mnemonic;
    }

    public function createServerMnemonic(MnemonicEntity $mnemonic, ServerEntity $server, $value) {
        $productFilesMnemonic = new ServerMnemonic();
        $productFilesMnemonic->setMnemonic($mnemonic);
        $productFilesMnemonic->setServer($server);
        $productFilesMnemonic->setValue($value);
        return $productFilesMnemonic;
    }
} 